# pcn radio management endpoints — NCM API

Beta. Management operations for the radios that broadcast a private cellular network. Read and update: list radios, inspect one by ID together with its current status, and amend its settings. Radios are created by provisioning rather than here, so see pcn management endpoints for network-level changes.

Base URL: https://api.cradlepointecm.com

### GET /api/external/v3/beta/private_cellular_radio_statuses/{id}

private_cellular_radio_statuses_retrieve

View for retrieving cell_status.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/external/v3/beta/private_cellular_radio_statuses/{id}" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

### GET /api/external/v3/beta/private_cellular_radios

private_cellular_radios_list

View for retrieving, creating, editing, and deleting cell.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| page[after] | query | string | no |  |
| page[before] | query | string | no |  |
| page[size] | query | integer | no |  |
| sort | query | array of string (-name | name) | no | Which field to use when ordering the results. |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/external/v3/beta/private_cellular_radios" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

### GET /api/external/v3/beta/private_cellular_radios/{id}

private_cellular_radios_retrieve

View for retrieving, creating, editing, and deleting cell.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/external/v3/beta/private_cellular_radios/{id}" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

### PUT /api/external/v3/beta/private_cellular_radios/{id}

private_cellular_radios_update

View for retrieving, creating, editing, and deleting cell.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

**Request body**

**Example request**

```bash
curl -X PUT "https://api.cradlepointecm.com/api/external/v3/beta/private_cellular_radios/{id}" \
  -H "Authorization: Bearer <token>"
```

**Response 200**
